This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 446986

Summary: Need to support 'info cpus' monitor command
Product: [Fedora] Fedora Reporter: Daniel Berrange <berrange>
Component: xennerAssignee: Gerd Hoffmann <kraxel>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: berrange
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-19 06:40:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 435059    

Description Daniel Berrange 2008-05-16 16:30:46 EDT
Description of problem:
Libvirt is getting support for setting VCPU affinity of QEMU/KVM guests. The
'info cpus' monitor command is used to determine the VCPU -> Thread ID mapping.

For a guest with 3 virtual CPUs, it would show

(qemu) info cpus
* CPU #0: pc=0x00000000000ffff0 thread_id=19575
  CPU #1: pc=0x00000000fffffff0 thread_id=19576
  CPU #2: pc=0x00000000fffffff0 thread_id=19577

where, thread_id is the host PID of the thread associated with the VCPU

Version-Release number of selected component (if applicable):
xenner-0.33

How reproducible:
Always

Steps to Reproduce:
1. Start with '-smp 3'
2. Run 'info cpus' in the monitor
3.
  
Actual results:
No cpu info

Expected results:
CPU thread info 

Additional info:
Comment 1 Gerd Hoffmann 2008-05-19 06:40:14 EDT
Fixed in 0.35.